Download it now!
Bug 65028 - RTF: RTF sections and write protection
Summary: RTF: RTF sections and write protection
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.4 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords: filter:rtf
Depends on:
Blocks: RTF
  Show dependency treegraph
 
Reported: 2013-05-27 08:51 UTC by Guido
Modified: 2019-12-03 14:10 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
RTF document with section (1.78 KB, application/rtf)
2013-05-27 10:42 UTC, Guido
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Guido 2013-05-27 08:51:42 UTC
Problem description: 
Creating sections and safe the document as RTF results in a different layout after reopen.  

Steps to reproduce:
1. Create new writer document.
2. Write "Foo Bar" 
3. Select the text (Ctrl + a)
4. Select Insert -> Section ...
5. (optional) enable "Protect" WITHOUT password 
6. Insert
7. Save as RTF
8. File -> Reload

Current behavior: There are 3 sections and none of them is write protected.

Expected behavior: 1 write protected section with Foo Bar

I think the handling of \sec and \sectunlocked isn't correct.

Tested with 3.6.6.2 and 4.0.3.3
Operating System: Windows 7
Version: 3.6.6.2 release
Comment 1 Miklos Vajna 2013-05-27 09:20:11 UTC
Could you please attach an ODT document that reproduces the bug?

Thanks.
Comment 2 Guido 2013-05-27 10:42:13 UTC
Created attachment 79840 [details]
RTF document with section
Comment 3 Thomas van der Meulen 2013-05-27 15:14:50 UTC
Thank you for your bug report, I can reproduce this bug running libreoffice Version: 4.1.0.0.beta1
Build ID: 3a2c2d2417101e45fe07cfd8358acf2204a98f3 on Mac osx 10.8.3 


I can still edit the word "Foo Bar" with out entering my password.
Comment 4 Alexandr 2014-11-23 13:28:14 UTC
Reproducible with LibreOffice 3.5.4, 4.3.3 and 4.4.0.0beta1 on Debian
Comment 5 Robinson Tryon (qubit) 2015-12-14 11:26:18 UTC Comment hidden (obsolete)
Comment 6 QA Administrators 2017-01-03 19:49:32 UTC Comment hidden (obsolete, spam)
Comment 7 QA Administrators 2019-12-03 14:10:15 UTC
Dear Guido,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug